Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalFileChooserUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.FileChooserUI
                  |
                  +--javax.swing.plaf.basic.BasicFileChooserUI
                        |
                        +--javax.swing.plaf.metal.MetalFileChooserUI

public class MetalFileChooserUI
extends BasicFileChooserUI

Metal L&F implementation of a FileChooser.

Inner Class Summary
`protected class` | `MetalFileChooserUI.DirectoryComboBoxAction` Acts when DirectoryComboBox has changed the selected item.
`protected class` | `MetalFileChooserUI.DirectoryComboBoxModel` Data model for a type-face selection combo-box.
`protected class` | `MetalFileChooserUI.FileRenderer`
`protected class` | `MetalFileChooserUI.FilterComboBoxModel` Data model for a type-face selection combo-box.
`class` | `MetalFileChooserUI.FilterComboBoxRenderer` Render different type sizes and styles.
`protected class` | `MetalFileChooserUI.SingleClickListener`

Inner classes inherited from class javax.swing.plaf.basic.BasicFileChooserUI
`BasicFileChooserUI.AcceptAllFileFilter, BasicFileChooserUI.ApproveSelectionAction, BasicFileChooserUI.BasicFileView, BasicFileChooserUI.CancelSelectionAction, BasicFileChooserUI.ChangeToParentDirectoryAction, BasicFileChooserUI.DoubleClickListener, BasicFileChooserUI.GoHomeAction, BasicFileChooserUI.NewFolderAction, BasicFileChooserUI.SelectionListener, BasicFileChooserUI.UpdateAction`

Fields inherited from class javax.swing.plaf.basic.BasicFileChooserUI
`cancelButtonMnemonic, cancelButtonText, cancelButtonToolTipText, computerIcon, detailsViewIcon, directoryIcon, fileIcon, floppyDriveIcon, hardDriveIcon, helpButtonMnemonic, helpButtonText, helpButtonToolTipText, homeFolderIcon, listViewIcon, newFolderIcon, openButtonMnemonic, openButtonText, openButtonToolTipText, saveButtonMnemonic, saveButtonText, saveButtonToolTipText, updateButtonMnemonic, updateButtonText, updateButtonToolTipText, upFolderIcon`

Constructor Summary
`MetalFileChooserUI(JFileChooser filechooser)`

Method Summary
`protected void` | `addControlButtons()`
`protected ActionMap` | `createActionMap()`
`protected MetalFileChooserUI.DirectoryComboBoxModel` | `createDirectoryComboBoxModel(JFileChooser fc)`
`protected javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxRenderer` | `createDirectoryComboBoxRenderer(JFileChooser fc)`
`protected MetalFileChooserUI.FilterComboBoxModel` | `createFilterComboBoxModel()`
`protected MetalFileChooserUI.FilterComboBoxRenderer` | `createFilterComboBoxRenderer()`
`protected JPanel` | `createList(JFileChooser fc)`
`PropertyChangeListener` | `createPropertyChangeListener(JFileChooser fc)`
`static ComponentUI` | `createUI(JComponent c)`
`void` | `ensureFileIsVisible(JFileChooser fc, File f)`
`protected ActionMap` | `getActionMap()`
`protected JButton` | `getApproveButton(JFileChooser fc)`
`protected JPanel` | `getBottomPanel()`
`protected JPanel` | `getButtonPanel()`
`String` | `getDirectoryName()`
`String` | `getFileName()`
`Dimension` | `getMaximumSize(JComponent c)`
`Dimension` | `getMinimumSize(JComponent c)`
`Dimension` | `getPreferredSize(JComponent c)`
`void` | `installComponents(JFileChooser fc)`
`protected void` | `installListeners(JFileChooser fc)`
`protected void` | `installStrings(JFileChooser fc)`
`void` | `installUI(JComponent c)`
`protected void` | `removeControlButtons()`
`void` | `rescanCurrentDirectory(JFileChooser fc)`
`void` | `setDirectoryName(String dirname)`
`void` | `setFileName(String filename)`
`void` | `uninstallComponents(JFileChooser fc)`
`void` | `uninstallUI(JComponent c)`
`void` | `valueChanged(ListSelectionEvent e)`

Methods inherited from class javax.swing.plaf.basic.BasicFileChooserUI
`clearIconCache, createDoubleClickListener, createListSelectionListener, createModel, getAcceptAllFileFilter, getAccessoryPanel, getApproveButtonMnemonic, getApproveButtonText, getApproveButtonToolTipText, getApproveSelectionAction, getCancelSelectionAction, getChangeToParentDirectoryAction, getDialogTitle, getFileChooser, getFileView, getGoHomeAction, getModel, getNewFolderAction, getUpdateAction, installDefaults, installIcons, uninstallDefaults, uninstallIcons, uninstallListeners, uninstallStrings`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalFileChooserUI

    public MetalFileChooserUI(JFileChooser filechooser)

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `BasicFileChooserUI`

### uninstallComponents

    public void uninstallComponents(JFileChooser fc)

  Overrides:
    `uninstallComponents` in class `BasicFileChooserUI`

### installComponents

    public void installComponents(JFileChooser fc)

  Overrides:
    `installComponents` in class `BasicFileChooserUI`

### getButtonPanel

    protected JPanel getButtonPanel()

### getBottomPanel

    protected JPanel getBottomPanel()

### installStrings

    protected void installStrings(JFileChooser fc)

  Overrides:
    `installStrings` in class `BasicFileChooserUI`

### installListeners

    protected void installListeners(JFileChooser fc)

  Overrides:
    `installListeners` in class `BasicFileChooserUI`

### getActionMap

    protected ActionMap getActionMap()

### createActionMap

    protected ActionMap createActionMap()

### createList

    protected JPanel createList(JFileChooser fc)

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `BasicFileChooserUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Overrides:
    `getPreferredSize` in class `ComponentUI`

### getMinimumSize

    public Dimension getMinimumSize(JComponent c)

  Overrides:
    `getMinimumSize` in class `ComponentUI`

### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

  Overrides:
    `getMaximumSize` in class `ComponentUI`

### createPropertyChangeListener

    public PropertyChangeListener createPropertyChangeListener(JFileChooser fc)

  Overrides:
    `createPropertyChangeListener` in class `BasicFileChooserUI`

### removeControlButtons

    protected void removeControlButtons()

### addControlButtons

    protected void addControlButtons()

### ensureFileIsVisible

    public void ensureFileIsVisible(JFileChooser fc,
                                    File f)

  Overrides:
    `ensureFileIsVisible` in class `BasicFileChooserUI`

### rescanCurrentDirectory

    public void rescanCurrentDirectory(JFileChooser fc)

  Overrides:
    `rescanCurrentDirectory` in class `BasicFileChooserUI`

### getFileName

    public String getFileName()

  Overrides:
    `getFileName` in class `BasicFileChooserUI`

### setFileName

    public void setFileName(String filename)

  Overrides:
    `setFileName` in class `BasicFileChooserUI`

### getDirectoryName

    public String getDirectoryName()

  Overrides:
    `getDirectoryName` in class `BasicFileChooserUI`

### setDirectoryName

    public void setDirectoryName(String dirname)

  Overrides:
    `setDirectoryName` in class `BasicFileChooserUI`

### createDirectoryComboBoxRenderer

    protected javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxRenderer createDirectoryComboBoxRenderer(JFileChooser fc)

### createDirectoryComboBoxModel

    protected MetalFileChooserUI.DirectoryComboBoxModel createDirectoryComboBoxModel(JFileChooser fc)

### createFilterComboBoxRenderer

    protected MetalFileChooserUI.FilterComboBoxRenderer createFilterComboBoxRenderer()

### createFilterComboBoxModel

    protected MetalFileChooserUI.FilterComboBoxModel createFilterComboBoxModel()

### valueChanged

    public void valueChanged(ListSelectionEvent e)

### getApproveButton

    protected JButton getApproveButton(JFileChooser fc)

  Overrides:
    `getApproveButton` in class `BasicFileChooserUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.